#include <16F877A.h>
#device adc=8

#FUSES WDT                      //Watch Dog Timer
#FUSES HS                       //High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
#FUSES PUT                      //Power Up Timer
#FUSES PROTECT                  //Code protected from reads
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES CPD                      //Data EEPROM Code Protected
#FUSES NOWRT                    //Program memory not write protected

#use delay(clock=20000000,RESTART_WDT)

#byte TRISB = 0x086
#bit    TRISB0 = TRISB.0
#bit    TRISB1 = TRISB.1
#bit    TRISB2 = TRISB.2

typedef unsigned int8 uint;
typedef unsigned int16 ulong;

#define forward PIN_B0
#define home    PIN_B1
#define street  PIN_B2
#define plus   PIN_A0
#define minus  PIN_A1
#define setup  PIN_A2
#define M_1    PIN_D0
#define M_2    PIN_D1
#define M_3    PIN_D2

// 
//=============================================

//
struct time {
                unsigned long long temp_time;
                uint  flag;
                uint  sec;
                uint  min;
                uint  hour;
            }struct_time,*ykaz_time;
                  
//
struct ystavki {
                  uint temper;
                  uint interval;
                  uint on_off;
               }struct_ystavki,*ykaz_ystavki;
               
//
struct ds18b20 {
                  uint term;
                  uint znak;
               }ds_hm;
               
//
struct knopka_setup {
                      uint open;      // 
                      uint close;     // 
                    } struct_setup,*ykaz_setup;
                    


struct knopka_plus {
                        uint open;      // 
                        uint close;     // 
                    } struct_plus,*ykaz_plus;
                    
struct knopka_minus {
                        uint open;      // 
                        uint close;     // 
                    } struct_minus,*ykaz_minus;                    
               
// 
uint sotni,dec,edin;
