#byte INDF = 0x000
#byte TMR0 = 0x001
#byte PCL = 0x002
#byte STATUS = 0x003
#bit    DC = STATUS.1
#bit    PD = STATUS.3
#bit    TO = STATUS.4
#bit    RP0 = STATUS.5
#bit    RP1 = STATUS.6
#bit    IRP = STATUS.7
#byte FSR = 0x004
#byte PORTA = 0x005
#byte PORTB = 0x006
#byte PORTC = 0x007
#byte PORTD = 0x008
#byte PORTE = 0x009
#byte PCLATH = 0x00A
#bit    PCLATH0 = PCLATH.0
#bit    PCLATH1 = PCLATH.1
#bit    PCLATH2 = PCLATH.2
#bit    PCLATH3 = PCLATH.3
#bit    PCLATH4 = PCLATH.4
#byte INTCON = 0x00B
#bit    RBIF = INTCON.0
#bit    INTF = INTCON.1
#bit    TMR0IF = INTCON.2
#bit    RBIE = INTCON.3
#bit    INTE = INTCON.4
#bit    TMR0IE = INTCON.5
#bit    PEIE = INTCON.6
#bit    GIE = INTCON.7
#byte PIR1 = 0x00C
#bit    TMR1IF = PIR1.0
#bit    TMR2IF = PIR1.1
#bit    CCP1IF = PIR1.2
#bit    SSPIF = PIR1.3
#bit    TXIF = PIR1.4
#bit    RCIF = PIR1.5
#bit    ADIF = PIR1.6
#bit    PSPIF = PIR1.7
#byte PIR2 = 0x00D
#bit    CCP2IF = PIR2.0
#bit    BCLIF = PIR2.3
#bit    EEIF = PIR2.4
#bit    CMIF = PIR2.6
#word TMR1 = 0x00E
#byte TMR1H = 0x00F
#byte T1CON = 0x010
#bit    TMR1ON = T1CON.0
#bit    TMR1CS = T1CON.1
#bit    T1SYNC = T1CON.2
#bit    T1OSCEN = T1CON.3
#bit    T1CKPS0 = T1CON.4
#bit    T1CKPS1 = T1CON.5
#byte TMR2 = 0x011
#byte T2CON = 0x012
#bit    T2CKPS0 = T2CON.0
#bit    T2CKPS1 = T2CON.1
#bit    TMR2ON = T2CON.2
#bit    TOUTPS0 = T2CON.3
#bit    TOUTPS1 = T2CON.4
#bit    TOUTPS2 = T2CON.5
#bit    TOUTPS3 = T2CON.6
#byte SSPBUF = 0x013
#byte SSPCON0 = 0x014
#bit    SSPM0 = SSPCON0.0
#bit    SSPM1 = SSPCON0.1
#bit    SSPM2 = SSPCON0.2
#bit    SSPM3 = SSPCON0.3
#bit    CKP = SSPCON0.4
#bit    SSPEN = SSPCON0.5
#bit    SSPOV = SSPCON0.6
#bit    WCOL = SSPCON0.7
#word CCPR1 = 0x015
#byte CCPR1H = 0x016
#byte CCP1CON = 0x017
#bit    CCP1M0 = CCP1CON.0
#bit    CCP1M1 = CCP1CON.1
#bit    CCP1M2 = CCP1CON.2
#bit    CCP1M3 = CCP1CON.3
#bit    DC1B0 = CCP1CON.4
#bit    DC1B1 = CCP1CON.5
#byte RCSTA = 0x018
#bit    RX9D = RCSTA.0
#bit    OERR = RCSTA.1
#bit    FERR = RCSTA.2
#bit    ADDEN = RCSTA.3
#bit    CREN = RCSTA.4
#bit    SREN = RCSTA.5
#bit    RX9 = RCSTA.6
#bit    SPEN = RCSTA.7
#byte TXREG = 0x019
#byte RCREG = 0x01A
#word CCPR2 = 0x01B
#byte CCPR2H = 0x01C
#byte CCP2CON = 0x01D
#bit    CCP2M0 = CCP2CON.0
#bit    CCP2M1 = CCP2CON.1
#bit    CCP2M2 = CCP2CON.2
#bit    CCP2M3 = CCP2CON.3
#bit    DC2B0 = CCP2CON.4
#bit    DC2B1 = CCP2CON.5
#byte ADRESH = 0x01E
#byte ADCON0 = 0x01F
#bit    ADON = ADCON0.0
#bit    GO = ADCON0.2
#bit    CHS0 = ADCON0.3
#bit    CHS1 = ADCON0.4
#bit    CHS2 = ADCON0.5
#bit    ADCS0 = ADCON0.6
#bit    ADCS1 = ADCON0.7
#byte OPTION_REG = 0x081
#bit    PS0 = OPTION_REG.0
#bit    PS1 = OPTION_REG.1
#bit    PS2 = OPTION_REG.2
#bit    PSA = OPTION_REG.3
#bit    T0SE = OPTION_REG.4
#bit    T0CS = OPTION_REG.5
#bit    INTEDG = OPTION_REG.6
#bit    RBPU = OPTION_REG.7
#byte TRISA = 0x085
#byte TRISB = 0x086
#byte TRISC = 0x087
#byte TRISD = 0x088
#byte TRISE = 0x089
#bit    PSPMODE = TRISE.4
#bit    IBOV = TRISE.5
#bit    OBF = TRISE.6
#bit    IBF = TRISE.7
#byte PIE1 = 0x08C
#bit    TMR1IE = PIE1.0
#bit    TMR2IE = PIE1.1
#bit    CCP1IE = PIE1.2
#bit    SSPIE = PIE1.3
#bit    TXIE = PIE1.4
#bit    RCIE = PIE1.5
#bit    ADIE = PIE1.6
#bit    PSPIE = PIE1.7
#byte PIE2 = 0x08D
#bit    CCP2IE = PIE2.0
#bit    BCLIE = PIE2.3
#bit    EEIE = PIE2.4
#bit    CMIE = PIE2.6
#byte PCON = 0x08E
#bit    BOR = PCON.0
#bit    POR = PCON.1
#byte SSPCON2 = 0x091
#bit    SEN = SSPCON2.0
#bit    RSEN = SSPCON2.1
#bit    PEN = SSPCON2.2
#bit    RCEN = SSPCON2.3
#bit    ACKEN = SSPCON2.4
#bit    ACKDT = SSPCON2.5
#bit    ACKSTAT = SSPCON2.6
#bit    GCEN = SSPCON2.7
#byte PR2 = 0x092
#byte SSPADD = 0x093
#byte SSPSTAT = 0x094
#bit    BF = SSPSTAT.0
#bit    UA = SSPSTAT.1
#bit    CKE = SSPSTAT.6
#bit    SMP = SSPSTAT.7
#byte TXSTA = 0x098
#bit    TX9D = TXSTA.0
#bit    TRMT = TXSTA.1
#bit    BRGH = TXSTA.2
#bit    SYNC = TXSTA.4
#bit    TXEN = TXSTA.5
#bit    TX9 = TXSTA.6
#bit    CSRC = TXSTA.7
#byte SPBRG = 0x099
#byte CMCON = 0x09C
#bit    CM0 = CMCON.0
#bit    CM1 = CMCON.1
#bit    CM2 = CMCON.2
#bit    CIS = CMCON.3
#bit    C1INV = CMCON.4
#bit    C2INV = CMCON.5
#bit    C1OUT = CMCON.6
#bit    C2OUT = CMCON.7
#byte CVRCON = 0x09D
#bit    CVR0 = CVRCON.0
#bit    CVR1 = CVRCON.1
#bit    CVR2 = CVRCON.2
#bit    CVR3 = CVRCON.3
#bit    CVRR = CVRCON.5
#bit    CVROE = CVRCON.6
#bit    CVREN = CVRCON.7
#byte ADRESL = 0x09E
#byte ADCON1 = 0x09F
#bit    PCFG0 = ADCON1.0
#bit    PCFG1 = ADCON1.1
#bit    PCFG2 = ADCON1.2
#bit    PCFG3 = ADCON1.3
#bit    ADCS2 = ADCON1.6
#bit    ADFM = ADCON1.7
#byte EEDATA = 0x10C
#byte EEADR = 0x10D
#byte EEDATH = 0x10E
#bit    EEDATH0 = EEDATH.0
#bit    EEDATH1 = EEDATH.1
#bit    EEDATH2 = EEDATH.2
#bit    EEDATH3 = EEDATH.3
#bit    EEDATH4 = EEDATH.4
#bit    EEDATH5 = EEDATH.5
#byte EEADRH = 0x10F
#bit    EEADRH0 = EEADRH.0
#bit    EEADRH1 = EEADRH.1
#bit    EEADRH2 = EEADRH.2
#bit    EEADRH3 = EEADRH.3
#bit    EEADRH4 = EEADRH.4
#byte EECON1 = 0x18C
#bit    RD = EECON1.0
#bit    WR = EECON1.1
#bit    WREN = EECON1.2
#bit    WRERR = EECON1.3
#bit    EEPGD = EECON1.7
#byte EECON2 = 0x18D
